Bug 1452752 - Some block drivers incorrectly close their associated file
Summary: Some block drivers incorrectly close their associated file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: rc
: ---
Assignee: Max Reitz
QA Contact: Ping Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-19 14:39 UTC by Max Reitz
Modified: 2017-08-02 04:41 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:41:00 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Max Reitz 2017-05-19 14:39:33 UTC
Description of problem:

Some block drivers (namely blkdebug, blkverify, blkreplay) sometiems close their assocated file node if an error occurs during initialization. This is unnecessary, and the way this is done is incorrect, leading to potentially invalid memory accesses.


Version-Release number of selected component (if applicable):

qemu-kvm-rhev-2.9.0-5.el7


How reproducible:

Always.


Steps to Reproduce:

$ qemu-img info --image-opts driver=blkdebug,image.driver=null-co,align=42


Actual results:

[1]    23725 segmentation fault (core dumped)  qemu-img info --image-opts driver=blkdebug,image.driver=null-co,align=42


Expected results:

qemu-img: Could not open 'driver=blkdebug,image.driver=null-co,align=42': Invalid alignment


Additional info:

Fixed in upstream commit de234897b60e034ba94b307fc289e2dc692c9251.

Comment 2 Miroslav Rezanina 2017-05-23 08:16:59 UTC
Fix included in qemu-kvm-rhev-2.9.0-6.el7

Comment 4 Ping Li 2017-05-24 03:39:58 UTC
Verified the issue with below packages:
kernel-3.10.0-671.el7.x86_64
qemu-kvm-rhev-2.9.0-6.el7

Test steps:
# qemu-img info --image-opts driver=blkdebug,image.driver=null-co,align=42
qemu-img: Could not open 'driver=blkdebug,image.driver=null-co,align=42': Invalid alignment

Comment 6 errata-xmlrpc 2017-08-02 04:41:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.